Page MenuHomePhabricator

Add ExternalGuidance event logging table to whitelist
Closed, ResolvedPublic

Description

We want to add the ExternalGuidance event logging table to whitelist (see data retention and auto-purging for more information) so that the data won't get purged after 90 days. Of course, PII fields like IP, userAgent, geocoded_data will be purged.

Any objection? Should I get approval from someone before I do that?

Details

Related Gerrit Patches:

Event Timeline

Nuria added a subscriber: Nuria.Mar 21 2019, 4:04 PM

@chelsey: you just need to submit a CR, we will look at it, thanks

Nuria moved this task from Incoming to Radar on the Analytics board.Mar 21 2019, 4:04 PM
chelsyx moved this task from Next Up to Doing on the Product-Analytics board.Mar 22 2019, 12:34 AM

Change 499270 had a related patch set uploaded (by Chelsyx; owner: Chelsyx):
[analytics/refinery@master] Add ExternalGuidance event logging table to whitelist

https://gerrit.wikimedia.org/r/499270

Thanks @Nuria ! @santhosh Could you please review the patch as well? Thanks!

chelsyx triaged this task as Medium priority.Mar 26 2019, 6:02 PM

Change 499270 merged by Ottomata:
[analytics/refinery@master] Add ExternalGuidance event logging table to whitelist

https://gerrit.wikimedia.org/r/499270

chelsyx closed this task as Resolved.Apr 17 2019, 4:56 PM

Thanks everyone!